Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.SSL
Class SSLCertificate

    java.lang.Object
      |
      +--weblogic.security.SSL.HandshakeMessage
            |
            +--weblogic.security.SSL.SSLCertificate

Deprecated. Deprecated in WebLogic Server 7.0.

public final class SSLCertificate
extends weblogic.security.SSL.HandshakeMessage

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`java.util.Vector` | `certificateList` Deprecated. The chain of certificates, ordered with sender's certificate first and the root CA last.
`weblogic.security.RSAPrivateKey` | `privateKey` Deprecated. The private key of the certificate holder.
`weblogic.security.SSL.SSLState` | `state` Deprecated. The SSL session state.

Constructor Summary
`SSLCertificate()` Deprecated. Constructor for SSLCertificate.
`SSLCertificate(weblogic.security.SSL.SSLState s)` Deprecated. Constructor for SSLCertificate.

Method Summary
`X509[]` | `getCertificates()` Deprecated.
`weblogic.security.RSAPrivateKey` | `getPrivateKey()` Deprecated. Return RSA private key of the certificate holder.
`weblogic.security.RSAPublicKey` | `getPublicKey()` Deprecated. The RSA public key of the sender's certificate.
`void` | `input(java.io.InputStream is)` Deprecated. Input certificate chain from the given InputStream.
`X509` | `leafCert()` Deprecated. The leaf certificate of the certificate chain.
`int` | `length()` Deprecated. Length of certificate chain.
`void` | `output(java.io.OutputStream os)` Deprecated. Output certificate chain to the given OutputStream.
`X509` | `rootCA()` Deprecated. The root CA of the certificate chain.
`boolean` | `rootCAvalid()` Deprecated. Check if root CA matches fingerprints specified in the session state.
`boolean` | `rootCAvalid(byte[][] fingerPrints)` Deprecated. Check if the root CA fingerprint matches list of valid fingerprints.
`java.lang.String` | `toString()` Deprecated. String representation of certificate chain.
`boolean` | `validateCertChain(com.rsa.certj.cert.X509Certificate[] certChain)` Deprecated.
`void` | `verify()` Deprecated. Verify certificate chain by walking to the root.
`boolean` | `verifyCAExtensions(com.rsa.certj.cert.X509Certificate cert, int depth)` Deprecated.
`boolean` | `verifyEndEntity(com.rsa.certj.cert.X509Certificate cert)` Deprecated.
`boolean` | `verifySelfSignedCert(com.rsa.certj.cert.X509Certificate cert, int depth)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### certificateList

    public java.util.Vector certificateList

  Deprecated.
  The chain of certificates, ordered with sender's certificate first and the root CA last.

### state

    public weblogic.security.SSL.SSLState state

  Deprecated.
  The SSL session state.

### privateKey

    public weblogic.security.RSAPrivateKey privateKey

  Deprecated.
  The private key of the certificate holder.

Constructor Detail

### SSLCertificate

    public SSLCertificate()

  Deprecated.
  Constructor for SSLCertificate.

### SSLCertificate

    public SSLCertificate(weblogic.security.SSL.SSLState s)

  Deprecated.
  Constructor for SSLCertificate.

Method Detail

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Deprecated.
  Output certificate chain to the given OutputStream.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Deprecated.
  Input certificate chain from the given InputStream.

### verify

    public void verify()
                throws java.io.IOException

  Deprecated.
  Verify certificate chain by walking to the root.

### validateCertChain

    public boolean validateCertChain(com.rsa.certj.cert.X509Certificate[] certChain)

  Deprecated.

### verifySelfSignedCert

    public boolean verifySelfSignedCert(com.rsa.certj.cert.X509Certificate cert,
                                        int depth)

  Deprecated.

### verifyCAExtensions

    public boolean verifyCAExtensions(com.rsa.certj.cert.X509Certificate cert,
                                      int depth)

  Deprecated.

### verifyEndEntity

    public boolean verifyEndEntity(com.rsa.certj.cert.X509Certificate cert)

  Deprecated.

### length

    public int length()

  Deprecated.
  Length of certificate chain.

### toString

    public java.lang.String toString()

  Deprecated.
  String representation of certificate chain.

  Overrides:
    toString in class java.lang.Object

### getPublicKey

    public weblogic.security.RSAPublicKey getPublicKey()

  Deprecated.
  The RSA public key of the sender's certificate.

### getPrivateKey

    public weblogic.security.RSAPrivateKey getPrivateKey()

  Deprecated.
  Return RSA private key of the certificate holder.

### rootCA

    public X509 rootCA()

  Deprecated.
  The root CA of the certificate chain.

### leafCert

    public X509 leafCert()

  Deprecated.
  The leaf certificate of the certificate chain.

### getCertificates

    public X509[] getCertificates()

  Deprecated.

### rootCAvalid

    public boolean rootCAvalid(byte[][] fingerPrints)

  Deprecated.
  Check if the root CA fingerprint matches list of valid fingerprints.

### rootCAvalid

    public boolean rootCAvalid()

  Deprecated.
  Check if root CA matches fingerprints specified in the session state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD